com.gary.msr.proto

## Class MSRConstants

- java.lang.Object
- - com.gary.msr.proto.MSRConstants

-     public class MSRConstants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `COL`
    `static java.lang.String[]` | `COUNTRYNAME`
    `static int` | `HID_PID`
    `static int` | `HID_PID1`
    `static int[][][]` | `HID_SCANCODE`
    `static int` | `HID_VID`
    `static java.util.Map<java.lang.String,java.lang.Integer>` | `KeyCode`
    `static java.lang.String[]` | `METHOD`
    `static java.util.Map<java.lang.Integer,java.util.Map<java.lang.Integer,java.lang.Integer>>` | `METHOD_OFFSETS`
    `static int` | `ROW`
    `static java.lang.String[]` | `SEQUNCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MSRConstants()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int[]` | `parseCode(java.lang.String[] codes)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COUNTRYNAME

          public static final java.lang.String[] COUNTRYNAME

    - #### SEQUNCE

          public static final java.lang.String[] SEQUNCE

    - #### METHOD

          public static final java.lang.String[] METHOD

    - #### KeyCode

          public static final java.util.Map<java.lang.String,java.lang.Integer> KeyCode

    - #### METHOD_OFFSETS

          public static java.util.Map<java.lang.Integer,java.util.Map<java.lang.Integer,java.lang.Integer>> METHOD_OFFSETS

    - #### ROW

          public static final int ROW

      See Also:
        Constant Field Values

    - #### COL

          public static final int COL

      See Also:
        Constant Field Values

    - #### HID_SCANCODE

          public static final int[][][] HID_SCANCODE

    - #### HID_VID

          public static int HID_VID

    - #### HID_PID

          public static int HID_PID

    - #### HID_PID1

          public static int HID_PID1

  - ### Constructor Detail

    - #### MSRConstants

          public MSRConstants()

  - ### Method Detail

    - #### parseCode

          public static int[] parseCode(java.lang.String[] codes)